=== debian/changelog ===
gst-plugins-bad0.10-musepack (0.10.13-git209-0maemo16+0m5) unstable; urgency=low

  * Initial release, all plugins disabled, apart from musepack

 -- Tomasz Dominikowski <dominikowski@gmail.com>  Mon,  4 Jan 2010 16:25:05 +0100

gst-plugins-bad0.10 (0.10.13-git209-0maemo16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Tue, 22 Sep 2009 13:09:29 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo16) unstable; urgency=low

  * camerabin: Fix image queue parameter setting.
  * Fixes: NB#138321 - camerabin sets non-64bit parameters with
    G_GUINT64_CONSTANT (0) macro

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 18 Sep 2009 14:59:12 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo15) unstable; urgency=low

  * rtpmanager: Fix locking for clock_rate variable, preventing a crash.
  * Fixes: NB#136430 - Telepathy stream engine crash after starting the
    device and initiating gtalk VoIP call

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 07 Sep 2009 17:26:07 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo14) unstable; urgency=low

  * Fixes: NB#131371 - User cannot change geotags

 -- Tommi Myöhänen <ext-tommi.1.myohanen@nokia.com>  Wed, 02 Sep 2009 15:56:18 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo13) unstable; urgency=low

  * Fixes: NB#126125 - Image in viewfinder is applied with previously set
    white balance value if Camera is closed and opened in a certain scenario
  * Partially fixes bug 135318
  * Fixes: NB#108662 - When selecting the camera modes, it takes too long to 
    switch
  * Fixes: NB#112456 - Live feeding of images stopped in pre-recording view
  * Fix that helps with deadlock in NB#135135

 -- Lasse Laukkanen <ext-lasse.2.laukkanen@nokia.com>  Thu, 27 Aug 2009 15:24:51 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo12) unstable; urgency=low

  * Partial fixes for: NB#125539 - Fuzzy test files cause GStreamer crashes
  * aacparse, amrparse: Prevent endless loop with broken files, fix memory
    leak.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 21 Aug 2009 17:31:59 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo11) unstable; urgency=low

  * camerabin: Fixes for setting parameters in the NULL state.
  * Fixes: NB#116677 - Error when setting the configuration to the
    camerabin while in NULL state
  * Fixes: NB#133642 - Setting capture resolution to camerabin while in
    NULL state is not working

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 21 Aug 2009 17:14:41 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo10) unstable; urgency=low

  * camerabin: don't use queue in videobin
  * camerabin: set viewfinder queue in videobin to leaky=1
  * camerabin: fix a g_object_get warning
  * Fixes: NB#126989 - Performance is not good enough with viewfinder

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 18 Aug 2009 21:12:48 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo9) unstable; urgency=low

  * camerabin: Fix memory leak of preview image buffer.
  * All these changes are partial fixes to NB#121600:
  * outputselector: forward pad_alloc to correct output pad
  * camerabin: re-set active-pad in outputselector after READY state
  * camerabin: use READY state instead of PAUSED for acquiring supported
    resolutions from video source element.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 03 Aug 2009 16:50:52 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo8) unstable; urgency=low

  * camerabin: Revert memory leak fix to make integration happen. Camera
    UI currently relies on this to leak. Fixes preview image distortion
    seen in UI.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 03 Aug 2009 15:00:17 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo7) unstable; urgency=low

  * Use -O2 optimization flag in release mode. Fixes: NB#129635

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 30 Jul 2009 10:56:57 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo6) unstable; urgency=low

  * camerabin: don't go thru READY wehn starting recording to avoid dark
    frames
  * camerabin: improve probe handling
  * camerabin: relax photo iface dependency on camera state 
  * Fixes: NB#112467 - viewfinder of recording view is dark for ~2 sec

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 28 Jul 2009 16:55:30 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo5) unstable; urgency=low

  * camerabin: disable audio conversion in videorecording path
  * Fixes: NB#110033 - wrong audio format used in camera recordings (32bit
    float)

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 23 Jul 2009 11:42:48 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo4) unstable; urgency=low

  * camerabin: speed-up zoom operation
  * coverity warning fixes
  * Fixes: NB#122209 - zoom preview should not left-crop an odd number of
    pixels

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 21 Jul 2009 18:11:57 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo3) unstable; urgency=low

  * metadatamux: reset state to write new metadata to new images
  * camerabin: handle reseting snapshot-caps
  * Fixes: NB#122728 - MakerNote's content is not correct

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 17 Jul 2009 16:06:17 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo2) unstable; urgency=low

  * camerabin: leave image/video bin to ready when changing mode
  * camerabin: use nonbuffered io to save memcopies
  * Fixes: NB#108662 - "When selecting the camera modes, it takes too long to
    switch

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 16 Jul 2009 10:55:20 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo1) unstable; urgency=low

  * Update to v0.10.13-209-g8085696.
  * camerabin: Fix memory leaks.
  * rtpmanager: Many improvements.
  * aacparse: Forward stream properties to speed up fast tagreading.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 03 Jul 2009 18:45:51 +0300

gst-plugins-bad0.10 (0.10.11-git188-0maemo10) unstable; urgency=low


