=== debian/control ===
Source: gst-plugins-bad0.10-musepack
Section: libs
Priority: extra
Maintainer: Tomasz Dominikowski <dominikowski@gmail.com>
XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Build-Depends: libgstreamer0.10-dev (>= 0.10.20-3),  libasound2-dev (>= 0.9.1), libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), autotools-dev, cdbs (>= 0.4.32), debhelper (>= 5), pkg-config (>= 0.11.0), gtk-doc-tools, liboil0.3-dev (>= 0.3.8), libbz2-dev, libsdl1.2-dev, libgtk2.0-dev (>= 2.2.0), libsndfile1-dev (>= 1.0.16), lsb-release, libglade2-dev (>= 2.6.0), libexif-dev (>= 0.6.16), libexempi-dev, libiptcdata0-dev (>= 1.0.2), libwildmidi-dev, libmpcdec-dev, gstreamer0.10-plugins-base
Standards-Version: 3.8.0

Package: gstreamer0.10-musepack
Architecture: any
Section: libs
Depends: ${misc:Depends}, libmpcdec3,
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: Musepack gst plugin from the bad set
 This package provides musepack decoder element.
