## gst-plugins-bad0.10-musepack 0.10.19-maemo2

=== ext/lv2/Makefile ===
--- 
+++ 
@@ -103,7 +103,7 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run aclocal-1.8
 ACLOCAL_AMFLAGS = -I m4 -I common/m4
 ACMENC_CFLAGS = 
 ACMMP3DEC_CFLAGS = 
@@ -112,7 +112,7 @@
 AMDEP_FALSE = 
 AMDEP_TRUE = #
 AMRWB_LIBS = 
-AMTAR = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run tar
+AMTAR = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run tar
 AM_MAKEFLAGS = 
 APEXSINK_CFLAGS = 
 APEXSINK_LIBS = 
@@ -120,9 +120,9 @@
 AS = as
 ASSRENDER_CFLAGS = 
 ASSRENDER_LIBS = 
-AUTOCONF = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/tom/gst-plugins-bad0.10-musepack-0.10.13-git209/missing --run automake-1.8
+AUTOCONF = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/zaheer/gst-plugins-bad0.10-musepack/missing --run automake-1.8
 AWK = gawk
 BUILD_EXAMPLES_FALSE = 
 BUILD_EXAMPLES_TRUE = #
@@ -139,7 +139,7 @@
 CDAUDIO_LIBS = 
 CELT_CFLAGS = 
 CELT_LIBS = 
-CFLAGS = -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2
+CFLAGS = -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
 CPP = cc -E
 CPPFLAGS = 
 CXX = g++
@@ -164,7 +164,7 @@
 DSYMUTIL = 
 DTS_LIBS = 
 DVDNAV_CFLAGS = 
-DVDNAV_CONFIG = 
+DVDNAV_CONFIG = no
 DVDNAV_LIBS = 
 ECHO = echo
 ECHO_C = 
@@ -189,7 +189,7 @@
 GCOV = 
 GCOV_CFLAGS = 
 GCOV_LIBS = 
-GETTEXT_PACKAGE = gst-plugins-bad-0.10
+GETTEXT_PACKAGE = NULL
 GIO_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 GLADE_CFLAGS = -DMAEMO_CHANGES -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
@@ -210,7 +210,7 @@
 GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
 GST_CHECK_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
-GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lcheck_pic -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
+GST_CHECK_LIBS = -pthread -lgstcheck-0.10 -lm -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CONTROLLER_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
 GST_CONTROLLER_LIBS = -pthread -lgstcontroller-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_CXXFLAGS = -I$(top_srcdir)/gst-libs -I$(top_builddir)/gst-libs  $(GST_OPTION_CXXFLAGS)
@@ -224,17 +224,17 @@
 GST_MAJORMINOR = 0.10
 GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
 GST_OPTION_CXXFLAGS = $(ERROR_CXXFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
-GST_PACKAGE_NAME = GStreamer MusePack Plugin (Maemo)
+GST_PACKAGE_NAME = GStreamer VP8 Plugins (Maemo)
 GST_PACKAGE_ORIGIN = http://maemo.org
 GST_PLUGINS_ALL =  aacparse adpcmdec aiffparse amrparse autoconvert camerabin legacyresample bayer cdxaparse dccp debugutils dtmf dvdspu festival freeze frei0r h264parse hdvparse id3tag librfb liveadder mpegdemux mpegtsmux mpeg4videoparse mpegvideoparse mve mxf nsf nuvdemux pcapparse qtmux rawparse real rtpmanager rtpmux scaletempo sdp selector shapewipe siren speed subenc stereo tta valve videosignal vmnc xdgmime
 GST_PLUGINS_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
 GST_PLUGINS_BASE_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
 GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
-GST_PLUGINS_SELECTED =                                                                                                   
+GST_PLUGINS_SELECTED =                                              aacparse  aiffparse amrparse                                   shapewipe         xdgmime 
 GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
 GST_PREFIX = /usr
 GST_TOOLS_DIR = /usr/bin
-GTKDOC_CHECK = /usr/bin/gtkdoc-check
+GTKDOC_CHECK = 
 GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_DOC_USE_LIBTOOL_FALSE = #
 GTK_DOC_USE_LIBTOOL_TRUE = 
@@ -299,3 +299,6 @@
 HAVE_X11_FALSE = #
 HAVE_X11_TRUE = 
 HTML_DIR = ${datadir}/gtk-doc/html
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_SCRIPT = ${INSTALL}
