=== debian/changelog ===
gst-plugins-bad0.10-musepack (0.10.19-maemo2) unstable; urgency=low

  * Bump due to previous failure to build

 -- Zaheer Abbas Merali <zaheermerali@gmail.com>  Fri,  4 Jun 2010 08:32:00 +0100

gst-plugins-bad0.10-musepack (0.10.19-maemo1) unstable; urgency=low

  * Updated to newest release

 -- Tomasz <dominikowski@gmail.com>  Thu, 03 Jun 2010 20:56:28 +0200
