=== debian/control ===
Source: gst-plugins-bad0.10-musepack
Section: libs
Priority: extra
Maintainer: Tomasz Dominikowski <dominikowski@gmail.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.21), , libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), liboil0.3-dev (>= 0.3.8), libmpcdec-dev, gstreamer0.10-plugins-base
Standards-Version: 3.8.0

Package: gstreamer0.10-musepack
Architecture: any
Section: libs
Depends: ${misc:Depends}, libmpcdec3,
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
Provides: ${gstreamer:Provides}
Description: Musepack gst plugin from the bad set
 This package provides musepack decoder element.
